.loading {  
  background: linear-gradient(270deg, #fafafa, #f6e1e2);
  background-size: 400% 400%;

  -webkit-animation: AnimationName 5 ease infinite;
  -moz-animation: AnimationName 5s ease infinite;
  animation: AnimationName 5s ease infinite;
  /* background-color: #990033; */
  color: #990033;
  background-color: #fafafa;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;                
  min-height: 100%;
  height: 100%;        
  min-width: 100%;
  width: 100%;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;                
}



@-webkit-keyframes AnimationName {
    0%{background-position:0% 50%}
    50%{background-position:100% 50%}
    100%{background-position:0% 50%}
}
@-moz-keyframes AnimationName {
    0%{background-position:0% 50%}
    50%{background-position:100% 50%}
    100%{background-position:0% 50%}
}
@keyframes AnimationName { 
    0%{background-position:0% 50%}
    50%{background-position:100% 50%}
    100%{background-position:0% 50%}
}